# Gisaf

*Gisaf* is a web based GIS (Geographical Information System) initially developed
for the CSR Geomatics unit in Auroville, India.

Its main audiences are local administrations which need a platform
to develop and maintain a geographical, topological and environmental data,
allow teams of surveyors to upload data and update the GIS in near real time,
and collect data from a wide range of sources.

Although it just works out of the box, it is primarily intended to be customized
and extended with the data, uses, needs.

## Features

- Layers defined with Python plugins or ANSI-standard categories
- Open source industry standard interfaces (PostGIS database, OGCAPI)
- Support of different geographical projections
- Integrated administration interface
- Export of data from standard formats (Geopackage, Shapefile)
- Import and update of data managed in a well defined workflow with "baskets"
- Acquisition of different kinds of surveyors' equipments, accuracies
- Robust mechanisms of identification of the data sources, survey times
- Geographical feature statuses (eg. Existing, Deprecated, Future)
- Role-based access to data
- Support temporal and other data for different features
- Easy integration with IoT sensors, eg. using the MQTT protocol
- Detailed information for all features
- Tagging of features
- Customizable, user triggered actions
- Customizable background maps
- Customizable dashboards
- Customizable base maps (domain specific set of layers)
- Python and Jupyter integration: easy to interact with, add features, components,
  explore data and conduct scientific research 
- Plugin architecture: add functions with Python packages
- Free and open source

## Software stack

- Python: the Swiss Army knife language
- Pydantic: the power of typing
- FastAPI: web wizzard
- SQLModel: SQL (ORM)
- Postgis: geographical extension for the PostGresql database
- Pandas and Geopandas: the data jugglers

## Installation / deployment

See the documentation in the deployment directory.

## Configuration

Documentation is being rewritten. Please contact us.

## Demo

A very basic demo without any data, basically to give a feel of the user interface,
is available [here](https://gisaf.philo.ydns.eu).
